import { __exports as sync } from '../../../../../../../../_virtual/sync3.mjs';
import '../readers/sync.mjs';
import { __exports as sync$1 } from '../../../../../../../../_virtual/sync5.mjs';

Object.defineProperty(sync, "__esModule", {
  value: true
});
const sync_1 = sync$1;
class SyncProvider {
  constructor(_root, _settings) {
    this._root = _root;
    this._settings = _settings;
    this._reader = new sync_1.default(this._root, this._settings);
  }
  read() {
    return this._reader.read();
  }
}
sync.default = SyncProvider;
